DH_BUILDDEB(1)

NOME
dh_builddeb - compila pacotes binários Debian

RESUMO
dh_builddeb [debhelper options] [--destdir=directory] [--filename=name] [-- params]

DESCRIÇÃO
dh_builddeb chama simplesmente dpkg-deb(1) para compilar um pacote ou vários pacotes Debian. Também compila pacotes dbgsym quando foram preparados por dh_strip(1) e dh_gencontrol(1).

Suporta a compilação de múltiplos pacotes binários em paralelo, quando activado por DEB_BUILD_OPTIONS.

Quando o campo Rules-Requires-Root não for (efectivamente) binary-targets, dh_builddeb passará --root-owner-group para dpkg-deb(1).

OPÇÕES

--destdir=directório
    Use isto se deseja que os ficheiros .deb gerados sejam colocados num directório diferente da predefinição "..".

--filename=nome
    Use isto se desejar forçar que o ficheiro .deb gerado tenha um nome de ficheiro particular. Não funciona bem se for gerado mais do que um .deb!

-- params
    Passa params para dpkg-deb(1) quando é usado para compilar o pacote.

-uparams
    Este é outro modo de passar params para dpkg-deb(1). Está descontinuado; use -- em vez deste.

VEJA TAMBÉM
debhelper(7)

Este programa é parte do debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro a_monteiro@gmx.com ou Equipa Debian de Tradução Portuguesa traduz@debianpt.org.